import Graph from 'graphology';
import { DataModelGraphNodeType } from '../../types/graphDataTypes';
export var createDefaultGraph = function () {
    var graph = new Graph();
    graph.addNode('hcp', {
        nodeType: DataModelGraphNodeType.entityType,
        label: 'HCP',
        secondaryLabel: '12 attributes',
        image: 'HCP.svg',
        x: 100,
        y: 100
    });
    graph.addNode('hca', {
        nodeType: DataModelGraphNodeType.entityType,
        label: 'HCA',
        secondaryLabel: '10 attributes',
        image: 'HCA.svg',
        x: 200,
        y: 100
    });
    graph.addNode('gpo', {
        nodeType: DataModelGraphNodeType.entityType,
        label: 'GPO',
        secondaryLabel: '1 attribute',
        x: 300,
        y: 100
    });
    graph.addNode('prescriptions', {
        nodeType: DataModelGraphNodeType.interactionType,
        label: 'Prescriptions',
        secondaryLabel: '2 attributes',
        x: 100,
        y: 200
    });
    graph.addEdgeWithKey('hcp->hca', 'hcp', 'hca', {
        label: '1',
        relationTypes: [{ uri: 'relType1' }]
    });
    graph.addEdgeWithKey('hca->gpo', 'hca', 'gpo', {
        label: '2',
        relationTypes: [{ uri: 'relType2' }]
    });
    graph.addEdgeWithKey('hcp->prescriptions', 'hcp', 'prescriptions', {
        type: 'dashed'
    });
    return graph;
};
